commit 2a168172dc882b125452f58322fbaf90be4b1978
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-24

    Bump up version number to 1.19.0

commit d1bb9d38631b5585979cd2b2245885d4d10b3cf1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-24

    Update bash_completion

commit 5e9992b2be164bb7cd5f4598c8eda2198e59c023
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-24

    Add outdated warning to pt translation

commit abe7bc9c32a1f57773c369e111f9d460a2f9717e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-24

    Add libaria2 build test target

commit df5c86ba7031e3af9a7d73ffa64ab3961ae5bccc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-24

    Update NEWS

commit 03e5764936695d332e730c4c514693fbd73d6fc5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-24

    Add Dockerfile.raspberrypi to EXTRA_DIST

commit e30becdbed9e8956a2b06d93ac0a83e4b44e8d34
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-23

    Fix uninitialized field bug in WebSocketSession

commit b84ae3a23220baa65ecda5167423ab8c20ff9255
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-23

    Add build test without libssh2

commit fa3401dcb2752dd77aeb9de66f6060abe7c18a86
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-21

    Update copyright year in -v output

commit fb720b3077838ed43e53004d8ee9d56e81d750d5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-21

    android: Build and link with zlib
    
    Previously, we linked with zlib shipped with NDK, but it seems this is
    not part of NDK API, and thus could break our app.

commit eb9dafc247756cca0996837efc448ba26f5d8449
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-20

    Add libssh2 to Dockerfile.mingw

commit 65505be1be3b75e3c63836ca3acca39d9b97b44c
Merge: c1417f0 b073735
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-20

    Merge branch 'ITriskTI-patch-1'

commit b073735d823295494a66e6269103ae03fda90758
Author:     ITriskTI <ITriskTI@gmail.com>
AuthorDate: 2015-05-19
Commit:     ITriskTI <ITriskTI@gmail.com>
CommitDate: 2015-05-19

    Update aria2c.rst

commit c1417f08ceb48ba374e74f48957488add81e3611
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-16

    Remove useless --with-*-prefix from andrond-config

commit ce360214475ba5431224f62e23bf6d3ce76774fc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-16

    Add libssh2 to android build config

commit 381533e32d02c0007ad51b31af4f6b40ce16f4dd
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-16

    Add libssh2 to mingw build config

commit ee129231224d7205dee311b783818470d0282e1b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-16

    Arrange #ifdef guard so that formatter does not get fooled

commit c26da096875d609b354ea5989f62af662f9c609e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-16

    Add --ssh-host-key-md option
    
    Set checksum for SSH host public key.  Use same syntax with --checksum
    option.  TYPE is hash type.  The supported hash type is sha-1 or
    md5. DIGEST is hex digest.  For example:
    sha-1=b030503d4de4539dc7885e6f0f5e256704edf4c3.  This option can be
    used to validate server's public key when SFTP is used.  If this
    option is not set, which is default, no validation takes place.

commit 4273885f1677579675f71667d933bd308a020fdd
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-14

    Document --netrc-path option

commit a89c52734a280061e034453379b06543bb4eac5d
Merge: 2a9012a ceee04c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-14

    Merge branch 'zi0r-master'

commit ceee04cfe8b870021a7964acb68bce00d74490db
Author:     Ryan Steinmetz <zi@FreeBSD.org>
AuthorDate: 2015-04-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-14

    Allow netrc-path to be specified in the config file

commit 2a9012ab60ba43126d78e559740e28562bade900
Merge: 9297bc8 e84176d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-14

    Merge branch 'multiSnow-master'

commit e84176d1f00efe43464c8fc2da5d60a69adb5699
Author:     multisnow <infinity.blick.winkel@gmail.com>
AuthorDate: 2015-05-14
Commit:     multisnow <infinity.blick.winkel@gmail.com>
CommitDate: 2015-05-14

    fix build error without libssh2

commit 9297bc8c5ca30f83e9620a8412b26395213469aa
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-13

    Remove a2x and asciidoc checks

commit 38552050269e6e74e080765aa4ba844f65e028fd
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-12

    Exit with 32 status code if checksum verification failed

commit 5100f96bfabac9af89801711f8e0c02c2ffdf28d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-12

    Update doc

commit 62826d691deee1812fc2a43b9495b83a367dcde2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-12

    ftp: Fix accessing first element in empty segments vector

commit 5723f4211a06bc320efdca844b399a2a5b5162ca
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-12

    sftp: Seek to the correct position to resume, fix slow start of transfer

commit 89c1916fa57d87ea09142cc3588044c691d1928f
Merge: 4654f19 2758fba
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-12

    Merge branch 'sftp'

commit 2758fba10c79a76e07f7cfb894f5cfcbaff85ff7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-12

    sftp: Add SFTP and libssh2 to feature summary, and add tests

commit 17a642551f44bbd98be443f5875b5d6edbd60226
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-12

    sftp: Mention SFTP in README.rst; add libssh2 dependency doc

commit 46595e77d73089148547eed6d579d207cb4b2c71
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-12

    sftp: Guard sftp code with HAVE_LIBSSH2

commit 21c328fc113d28f3bbb1b1d74b53e4e2a36c4e9d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-12

    sftp: Make sftp works through HTTP proxy

commit d0ad7033c3e11549529b44990ef022a655877601
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-12

    sftp: basic download works
    
    This commits implements basic downloading feature for sftp URI.  This
    includes segmented downloads, and connection (sftp session) pooling.
    Download via HTTP proxy has not been implemented yet.

commit 82ba00320923319943cfb79282ada5aaad4d5334
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-10

    Add basic ssh/sftp code to SocketCore and introduce SSHSession
    
    We use libssh2 to implement sftp feature.  SSHSession is closely
    designed to TLSSession, but it differs in several aspects.  In this
    code, we only implements read part of sftp, since aria2 won't offer
    uploading feature.  Adding SSH/sftp to SocketCore is a bit bloat.  But
    by doing this we can reuse DownloadCommand, without mostly no
    modification.  We can just create SSHDownloadCommand by inheriting it,
    just like existing ftp.

commit 4654f1974a5faa832518ba3875ecb3e77224e656
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-07
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-07

    Update sphinx_rtd_theme

commit da5b925b151ac97ff7b42114ad1610bf232adf88
Merge: 1f3667a 3d5b5cc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-05-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-05-04

    Merge branch 'ITriskTI-patch-1'

commit 3d5b5cc0e9f9c2af1a9f7aed4cff7b15499d4d8a
Author:     ITriskTI <ITriskTI@gmail.com>
AuthorDate: 2015-05-04
Commit:     ITriskTI <ITriskTI@gmail.com>
CommitDate: 2015-05-04

    Update aria2c.rst

commit 1f3667a1ee168d50d978f0aad2c56e1313fb67a6
Merge: 0ab23e7 e182b0e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-04-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-04-22

    Merge pull request #365 from hostmaster/dockerfile-raspberrypi
    
    Added Dockerfile to cross complile aria2 for RaspberryPI (armhf)

commit 0ab23e7a8dcf2ff3117fde9f602003b924a6a42f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-04-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-04-22

    Document --multiple-interface option
    
    Thic commit documents --multiple-interface option, and move option
    handler for it to the place alphabetical order as we do usually

commit e182b0e17467a62acff34d2332a7e21c77c62fc1
Author:     Igor Khomyakov <igor@virtusize.com>
AuthorDate: 2015-04-22
Commit:     Igor Khomyakov <igor@virtusize.com>
CommitDate: 2015-04-22

    Added Dockerfile to cross complile aria2 for RaspberryPI (armhf)

commit 3c84aa074561744e8728217fde58f14826ccee0e
Merge: 692a674 45199d3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-04-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-04-22

    Merge branch 'sarim-master'

commit 45199d3691d2576ce9d3882f369a9bf7e4b305a2
Merge: 692a674 34d773a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-04-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-04-22

    Merge branch 'master' of https://github.com/sarim/aria2 into sarim-master

commit 34d773a4652239d224381559255b4b79f2dccf3f
Author:     Sarim Khan <sarim2005@gmail.com>
AuthorDate: 2015-04-19
Commit:     Sarim Khan <sarim2005@gmail.com>
CommitDate: 2015-04-21

    multiple interface support for link aggregation
    
    fix: wrong variable

commit 692a674fe086b24fa462723688ced2722cfde3b9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-04-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-04-14

    SocketRecvBuffer: Eliminate memmove
    
    Since we don't try to read into buffer if buffer is not empty, we
    don't have to memmove things.  This commit mostly rewrites
    SocketRecvBuffer.

commit 8ed8ac0fe8925ab8244e62fbf20de2472480a95f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-03-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-03-23

    Remove extra space between # and define
    
    Fixes GH-356

commit d6d21085e27ad98f809f99f1662ac5ad37a97211
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-03-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-03-22

    Document that libxml2-dev and libcppuni-dev are required when building form git
    
    Fixes GH-354

commit d03c7b32c64e200f304f2124412aa7b96ebafd6c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-03-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-03-22

    Refactor MultiDiskAdaptor::closeFile() and add assert for debugging

commit b324be70ad452b499b9afdd3f604eeb3a7328b57
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-03-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-03-22

    Run on-bt-download-complete command when -V reports download finished
    
    See GH-355

commit 7f9bb0e2da6365863f7c144117e5dbfa5f9aa3cf
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-03-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-03-22

    Use dedicated DiskWriter in MultiDiskFileAllocationIterator
    
    We have to use dedicated DiskWriter instead of
    (*entryItr_)->getDiskWriter().  This is because
    SingleFileAllocationIterator cannot reopen file if file is closed by
    OpenedFileCounter.

commit c248d456d194532098747055dd75a28118d77521
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2015-03-04
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2015-03-18

    Comment getrandom code a bit

commit ee63dff2258ff013e6905cb08d3d5e9ad53e3696
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2015-03-04
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2015-03-18

    Fix getrandom for system with libc not including errno or systems
    
    not supporting ENOSYS in the first place.
    
    Fixes GH-347

commit 1ad1d43a6a4fd0f7d9ed577dae7103521a6b4a00
Merge: c17b98a 2fdd0b3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-03-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-03-14

    Merge branch 'rasa-patch-1'

commit 2fdd0b3f3f346166fa358e4afb44898935270dfe
Author:     Ross Smith II <ross@smithii.com>
AuthorDate: 2015-03-13
Commit:     Ross Smith II <ross@smithii.com>
CommitDate: 2015-03-13

    Update DOCKER.mingw to bump sqlite to 3.8.8.3

commit c17b98a9fcb502846147fe54560c57e52c80d4ff
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-03-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-03-13

    Don't send back rpc-secret option value in aria2.getGlobalOption RPC method

commit 762ab15450dc1d32534dc49a2f5627da71312f9c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-03-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-03-13

    Avoid copy

commit 650f04586dbf658d7141318c10bf07a451d20230
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-03-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-03-11

    Make libuv default off
    
    See GH-241 for discussion

commit cb5ccf6a7a67c5c4e864dad98d0e0b149e5fecd2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2015-03-08
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2015-03-08

    SocketBuffer: Keep sending until blocked
    
    See GH-345

commit fd6f5ebc32eb5f74501e11b7e519642ee95d49f0
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2015-03-01
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2015-03-01

    Fix getrandom interface detection
    
    Fixes GH-346
